How do I install libpng12??

Asked by Greg Johnson on 2013-04-22

I am using Fedora 17, and have turned myself into a bloody pulp trying to get glmark2 to work on that platform.

The problem is /usr/include/libpng12.h.

WOW! Is there any way you could make things easier to build and run on a modern Linux platform?

Thanks,

Greg Johnson

Question information

Language:
English Edit question
Status:
Answered
For:
glmark2 Edit question
Assignee:
No assignee Edit question
Last query:
2013-04-22
Last reply:
2013-04-22
Greg Johnson (gregfjohnson) said : #1

I finally, desperately downloaded libpng12 source code, and configured it as ./configure --prefix=/usr

That created /usr/include/libpng.h

and I was able to build glmark2 that way. Painful. But, your opengl performance test does rock, I must say. (After the horrible pain of getting it working.)

Greg

Jesse Barker (jesse-barker) said : #2

Hi Greg,

Sorry you are having issues with glmark2 on Fedora 17. I suspect you are not the only one (admittedly, afrantzis and I are primarily Ubuntu users, which may account for this). You may be interested in tracking this:

https://bugs.launchpad.net/glmark2/+bug/1166506

as its resolution should fix things for you (unless you require yet a newer version of libpng that hasn't been verified with glmark2).

cheers,
Jesse

Can you help with this problem?

Provide an answer of your own, or ask Greg Johnson for more information if necessary.

To post a message you must log in.